/* VennPlotOptions.java

	Purpose:
		
	Description:
		
	History:
		Thu Dec 05 15:08:56 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;

/**
 * An option for venn plot
 * <p>
 * All the options in this class support {@link DynamicalAttribute}.
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class VennPlotOptions extends SeriesPlotOptions {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		borderDashStyle,
		brighten
	}

	/**
	 * Return the border dash style.
	 * <p>
	 * Default: "solid"
	 */
	public String getBorderDashStyle() {
		return getAttr(Attrs.borderDashStyle, "solid").asString();
	}

	/**
	 * Sets the border dash style.
	 */
	public void setBorderDashStyle(String borderDashStyle) {
		setAttr(Attrs.borderDashStyle, borderDashStyle);
	}

	/**
	 * Returns the brighten value.
	 * <p>
	 * Default: 0
	 */
	public Number getBrighten() {
		return getAttr(Attrs.brighten, 0).asNumber();
	}

	/**
	 * Sets the brighten value.
	 */
	public void setBrighten(Number brighten) {
		setAttr(Attrs.brighten, brighten);
	}
}
